package com.neko.controller;

import com.neko.domain.dto.xiaoyy.MusicTiaoDto;
import com.neko.service.MusicNekoService;
import com.neko.utils.ResultVo;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Date 2025/5/23 11:57
 * @Author neko
 **/
@RestController
@RequestMapping("/music")
public class MusicController {
    @Autowired
    MusicNekoService musicNekoService;

    @RequestMapping("findMusicAll")
    public ResultVo findMusicAll(){
        return musicNekoService.findMusicAll();
    }

}
