package com.neko.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.neko.domain.dto.xiaoyy.MusicTiaoDto;
import com.neko.domain.pojo.Music;
import com.neko.domain.pojo.OfflineMessage;
import com.neko.mapper.MusicNekoMapper;
import com.neko.mapper.OfflineMessageMapper;
import com.neko.service.MusicNekoService;
import com.neko.utils.ResultVo;
import lombok.extern.slf4j.Slf4j;
import org.apache.http.auth.AUTH;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Date 2025/5/23 12:02
 * @Author neko
 **/
@Service
@Slf4j
public class MusicNekoServiceImpl extends ServiceImpl<MusicNekoMapper, Music>
        implements MusicNekoService {
    @Autowired
    MusicNekoMapper musicNekoMapper;

    @Override
    public ResultVo findMusicAll() {
        log.info("听，这就是neko畅听");
        List<Music> music = musicNekoMapper.selectList(null);

        return ResultVo.success(music);
    }
}
